### Method

# ICalGLib Property set_parent

since: 3.0

#### Declaration [src]

    void
    i_cal_property_set_parent (
      ICalProperty* property,
      ICalComponent* component
    )

#### Description [src]

Sets the parent `ICalComponent` of the specified `ICalProperty`.

Available since: 3.0

#### Parameters

`component`

  Type: `ICalComponent`

  An `ICalComponent`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.